Skip to main content
Unlisted page
This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

DataService API v2 — IntegrationAgents

Base URL

  • https://demo.avaplace.com/api/asol/ds

Authentication

  • OAuth2 Bearer token required (scope: apiim)
  • See DataService-API.md for token acquisition

Overview

What it covers

  • Centralized metadata settings for the integration agent (agent/source/consumer)
  • Patch settings / transformations / supported features
  • Configure MessageGateway consumer
  • Status history + set status

Endpoints

  • GET /api/v2/IntegrationAgents/Settings — Get settings (SourceId, clientId optional)

  • PATCH /api/v2/IntegrationAgents/Settings — Patch settings

  • GET /api/v2/IntegrationAgents/Transformations — Get transformation settings

  • PATCH /api/v2/IntegrationAgents/Transformations — Patch transformations (returns 204)

  • GET /api/v2/IntegrationAgents/SupportedFeatures — Get supported features

  • PATCH /api/v2/IntegrationAgents/SupportedFeatures — Patch supported features (returns 204)

  • PATCH /api/v2/IntegrationAgents/ConfigureConsumer — Configure consumer (returns 204)

  • GET /api/v2/IntegrationAgents/Statuses — Status history

  • POST /api/v2/IntegrationAgents/Statuses — Set status (returns 204)


Query Parameters: /api/v2/IntegrationAgents/Settings (GET, PATCH)

ParameterTypeRequiredDescription
SourceIdstring (uuid)NoThe identifier of the data-source (optional)
clientIdstringNoThe client identifier (optional)

Request Body: /api/v2/IntegrationAgents/Settings (PATCH)

Schema: IntegrationAgentPatchModel

PropertyTypeRequiredDescription
agentDefinitionIntegrationAgentPatchSettingsNoData agent registration settings
sourceDefinitionIntegrationSourcePatchSettingsNoData source integration settings

IntegrationAgentPatchSettings:

PropertyTypeDescription
descriptionstringThe description of data agent
customPropertiesarray[key-value]Custom properties

IntegrationSourcePatchSettings:

PropertyTypeDescription
descriptionstringData-source description
customPropertiesarray[key-value]Custom properties
consumerTypestringConsumer type: None, Grpc, Webhook
consumerWebhookUrlstringWeb-hook URL assigned to data-source

Examples

Get integration agent settings

curl

curl -X GET "https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationAgents/Settings?SourceId=<sourceId>" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"

PowerShell

$uri = 'https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationAgents/Settings?SourceId=<sourceId>'

Invoke-RestMethod -Method Get `
-Uri $uri `
-Headers @{ Authorization = "Bearer $accessToken"; Accept = 'application/json' }

Postman

  • Method: GET
  • URL: {{baseUrl}}/api/v2/IntegrationAgents/Settings
  • Params: SourceId=<sourceId>
  • Authorization: Bearer Token

Patch integration agent settings

curl

curl -X PATCH "https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationAgents/Settings?SourceId=<sourceId>" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"agentDefinition": {
"description": "Updated agent description",
"customProperties": [
{ "key": "version", "value": "2.1" }
]
},
"sourceDefinition": {
"description": "Updated source description",
"consumerType": "Webhook",
"consumerWebhookUrl": "https://example.com/webhook"
}
}'

PowerShell

$uri = 'https://demo.avaplace.com/api/asol/ds/api/v2/IntegrationAgents/Settings?SourceId=<sourceId>'

$body = @{
agentDefinition = @{
description = 'Updated agent description'
customProperties = @(@{ key = 'version'; value = '2.1' })
}
sourceDefinition = @{
description = 'Updated source description'
consumerType = 'Webhook'
consumerWebhookUrl = 'https://example.com/webhook'
}
} | ConvertTo-Json -Depth 10

Invoke-RestMethod -Method Patch `
-Uri $uri `
-Headers @{ Authorization = "Bearer $accessToken"; Accept = 'application/json' } `
-ContentType 'application/json' `
-Body $body

Postman

  • Method: PATCH
  • URL: {{baseUrl}}/api/v2/IntegrationAgents/Settings
  • Params: SourceId=<sourceId>
  • Authorization: Bearer Token
  • Body → raw → JSON: same payload as above

References